#include <stdio.h>
int main()
{
    int n,i,sum=0,hh,tt;
    scanf("%d",&n);
    hh=n;
    for (i=2;i<hh;)
    {
        if (n%i==0)
        {
            n/=i;
            sum+=i;
        }
        else
        {
            i++;
        }
    }
    tt=0;
    for (i=2;i<hh;i++)
    {
        if (hh%i==0&&sum%i==0)
        {
            tt++;
        }
    }
    if (tt!=0)
    {
        printf("no");
    }
    else
    {
        printf("yes");
    }
    return 0;
}

